Community Tip - You can change your system assigned username to something more personal in your community settings. X
I tried to display drawing which available in session using following commands,
ProObjectwindowCreate(new_dwg_name,PRO_DRAWING,NULL);
ProMdlDisplay (drawing);
Drawing displayed in CREO.Window, but hangs the session.
Please suggest me to solve this issue.
Solved! Go to Solution.
In ProObjectwindowCreate function try to replace the NULL variable (last variable) with an integer:
ProObjectwindowCreate(new_dwg_name,PRO_DRAWING,&win_id);
Also I usually call ProVindowCurrentSet and ProWindowActivate after ProMdlDisplay. It should look something like this:
ProMdlNameGet(drawing,new_dwg_name);
ProObjectwindowCreate(new_dwg_name,PRO_DRAWING,&win_id);
ProMdlDisplay(drawing);
ProWindowCurrentSet(win_id);
ProWindowActivate(win_id);
In ProObjectwindowCreate function try to replace the NULL variable (last variable) with an integer:
ProObjectwindowCreate(new_dwg_name,PRO_DRAWING,&win_id);
Also I usually call ProVindowCurrentSet and ProWindowActivate after ProMdlDisplay. It should look something like this:
ProMdlNameGet(drawing,new_dwg_name);
ProObjectwindowCreate(new_dwg_name,PRO_DRAWING,&win_id);
ProMdlDisplay(drawing);
ProWindowCurrentSet(win_id);
ProWindowActivate(win_id);
Hello Gabriel,
Your Code works fine. Thank you very much and also thanks for the Setting & Activating the Current window Tips.